Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1573021 - DMAR: [DMA Write] Request device ... [fault reason 05] PTE Write access is not set. DRHD: handling fault status reg
Summary: DMAR: [DMA Write] Request device ... [fault reason 05] PTE Write access is no...
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-29 20:31 UTC by Cristian Ciupitu
Modified: 2019-10-24 07:33 UTC (History)
20 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description Cristian Ciupitu 2018-04-29 20:31:47 UTC
Description of problem:
Lots of DMAR errors in the journal

Version-Release number of selected component (if applicable):
kernel-4.16.4-200.fc27.x86_64

How reproducible:
At least once (I haven't rebooted)

Steps to Reproduce:
1. Suspend to RAM
2. Resume

Actual results:
Lots of these messages in the journal:
23:28:35: DMAR: [DMA Write] Request device [00:02.0] fault addr 1af36000 [fault reason 05] PTE Write access is not set
23:28:36: DMAR: DRHD: handling fault status reg 2
23:28:36: DMAR: [DMA Write] Request device [00:02.0] fault addr 1af36000 [fault reason 05] PTE Write access is not set
23:28:36: DMAR: DRHD: handling fault status reg 2
23:28:36: DMAR: [DMA Write] Request device [00:02.0] fault addr 1af36000 [fault reason 05] PTE Write access is not set
23:28:40: dmar_fault: 40 callbacks suppressed
23:28:40: DMAR: DRHD: handling fault status reg 3
23:28:40: DMAR: [DMA Write] Request device [00:02.0] fault addr 1af36000 [fault reason 05] PTE Write access is not set
23:28:40: DMAR: DRHD: handling fault status reg 3
23:28:40: DMAR: [DMA Write] Request device [00:02.0] fault addr 1af36000 [fault reason 05] PTE Write access is not set

Expected results:
No messages

Additional info:
CPU is Intel i7-3770 with a builtin GPU - Intel HD 4000. Only the DisplayPort output is used (there's also a HDMI port).

Boot cmdline: initrd=... root=... ro rhgb quiet rd.lvm=0 rd.luks=0 rd.md=0 rd.dm=0 resume=... intel_iommu=on video=VGA-1:d

00:02.0 VGA compatible controller: Intel Corporation Xeon E3-1200 v2/3rd Gen Core processor Graphics Controller (rev 09) (prog-if 00 [VGA controller])
	Subsystem: Intel Corporation Device 2040
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 40
	Region 0: Memory at f7800000 (64-bit, non-prefetchable) [size=4M]
	Region 2: Memory at e0000000 (64-bit, prefetchable) [size=256M]
	Region 4: I/O ports at f000 [size=64]
	[virtual] Expansion ROM at 000c0000 [disabled] [size=128K]
	Capabilities: [90] MSI: Enable+ Count=1/1 Maskable- 64bit-
		Address: fee00018  Data: 0000
	Capabilities: [d0] Power Management version 2
		Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [a4] PCI Advanced Features
		AFCap: TP+ FLR+
		AFCtrl: FLR-
		AFStatus: TP-
	Kernel driver in use: i915
	Kernel modules: i915

Comment 1 Justin M. Forbes 2018-07-23 15:31:23 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 27 kernel bugs.

Fedora 27 has now been rebased to 4.17.7-100.fc27.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 28, and are still experiencing this issue, please change the version to Fedora 28.

If you experience different issues, please open a new bug report for those.

Comment 2 Cristian Ciupitu 2018-07-23 18:42:45 UTC
Still happening with kernel-4.17.7-100.fc27.x86_64:

Jul 23 13:03:38 hermes.localdomain kernel: DMAR: DRHD: handling fault status reg 2
Jul 23 13:03:38 hermes.localdomain kernel: DMAR: [DMA Write] Request device [00:02.0] fault addr 21000000 [fault reason 05] PTE Write access is not set
Jul 23 13:03:38 hermes.localdomain kernel: DMAR: DRHD: handling fault status reg 2
Jul 23 13:03:38 hermes.localdomain kernel: DMAR: [DMA Write] Request device [00:02.0] fault addr 21000000 [fault reason 05] PTE Write access is not set
Jul 23 13:03:38 hermes.localdomain kernel: DMAR: DRHD: handling fault status reg 2
Jul 23 13:03:38 hermes.localdomain kernel: DMAR: [DMA Write] Request device [00:02.0] fault addr 21000000 [fault reason 05] PTE Write access is not set

Comment 3 Laura Abbott 2018-10-01 21:24:59 UTC
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 27 kernel bugs.
 
Fedora 27 has now been rebased to 4.18.10-100.fc27.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 28 or Fedora 29, and are still experiencing this issue, please change the version to Fedora 28 or 29.
 
If you experience different issues, please open a new bug report for those.

Comment 4 Cristian Ciupitu 2018-10-02 14:29:04 UTC
It's still happening with kernel-4.18.10-200.fc28.x86_64

Oct 02 17:17:08 hermes.localdomain kernel: DMAR: DRHD: handling fault status reg 2
Oct 02 17:17:08 hermes.localdomain kernel: DMAR: [DMA Write] Request device [00:02.0] fault addr f1c46000 [fault reason 05] PTE Write access is not set
Oct 02 17:17:08 hermes.localdomain kernel: DMAR: DRHD: handling fault status reg 2
Oct 02 17:17:08 hermes.localdomain kernel: DMAR: [DMA Write] Request device [00:02.0] fault addr f1c46000 [fault reason 05] PTE Write access is not set

Comment 5 Ben Bromley 2019-05-26 11:20:22 UTC
May 25 22:07:57 localhost.localdomain kernel: DMAR: DRHD: handling fault status reg 2
May 25 22:07:57 localhost.localdomain kernel: DMAR: [DMA Write] Request device [02:00.0] fault addr 0 [fault reason 05] PTE Write access is not set
May 26 06:44:28 localhost.localdomain kernel: DMAR: DRHD: handling fault status reg 2
May 26 06:44:28 localhost.localdomain kernel: DMAR: [DMA Write] Request device [02:00.0] fault addr 0 [fault reason 05] PTE Write access is not set

This is on Fedora 30 with the 5.0.17 kernel. I think there is also a slight screen flicker whenever it happens, but I'm still working to confirm that.

Comment 6 Cristian Ciupitu 2019-10-11 00:18:48 UTC
Still happening with kernel-5.3.5-300.fc31.x86_64:

kernel: DMAR: DRHD: handling fault status reg 3
kernel: DMAR: [DMA Write] Request device [00:02.0] fault addr cbbb3000 [fault reason 05] PTE Write access is not set
kernel: DMAR: DRHD: handling fault status reg 3
kernel: DMAR: [DMA Write] Request device [00:02.0] fault addr cbbb4000 [fault reason 05] PTE Write access is not set
kernel: DMAR: DRHD: handling fault status reg 3
kernel: DMAR: [DMA Write] Request device [00:02.0] fault addr cbbad000 [fault reason 05] PTE Write access is not set

Comment 7 VonChair 2019-10-24 06:30:58 UTC
Can anyone impacted by this issue post the current SATA storage controller make, model, and driver version if available in use by an impacted system?

Comment 8 Cristian Ciupitu 2019-10-24 07:33:27 UTC
The motherboard is Intel DZ77BH-55K (coupled with an Intel i7-3770 CPU).


Note You need to log in before you can comment on or make changes to this bug.